URL structure
Supported methods and overview
POST- Sets the screen lock variable on the user to either true or false depending on the circumstance.
Detailed description
This endpoint is used to determine if the user should have a temporary lock placed on their session without deauthenticating them. The implementation of the actual locking screen can use the sessionLock Boolean variable on the user entity to accomplish this. When hitting this endpoint if the sessionLock variable on the user is currently set to false you will not need to provide a password, and will just need to hit the endpoint to set the value True. In order to remove the screenLock you must provide the user’s password within an organisation-defined number of times or the account will be locked.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Required POST-request parameters
The following required parameter must be sent in the BODY of a POST request:- password - Specify the password of the currently logged in user.
Returns
If the request succeeded, then an HTTP response status 200 OK is returned. If the request failed, then an HTTP response status of 400 is returned - this will only happen if a user’s screenLock variable has already been set to True and an incorrect password has been provided. For successfulPOST requests only, a JSON-formatted response containing the following members is also returned:
- screenLocked - Boolean value. This value will be what the screenLock variable was set to on the user.

